com.r3corda.core.contracts / OwnableState

# OwnableState

`interface OwnableState : ContractState`

A contract state that can have a single owner.

### Properties

owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Inherited Properties

contract | `abstract val contract: Contract` Contract by which the state belongs
notary | `abstract val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once

### Functions

withNewOwner | `abstract fun withNewOwner(newOwner: PublicKey): <ERROR CLASS><CommandData, OwnableState>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)
label | `infix fun ContractState.label(label: String): LabeledOutput`

### Inheritors

FungibleAssetState | `interface FungibleAssetState<T, I : AssetIssuanceDefinition<T>> : OwnableState` Common elements of cash contract states.
State | `data class State : OwnableState`